---
updatedAt: 2026-05-13T09:04:01.000Z
---

# Get author by source network ID

Get a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram

## Details

Returns a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram. Supported network types are "facebook" and "instagram". For CRM systems or Khoros communities that could have multiple instances, use: `/api/v2/authors/networks/<networktype>/instances/<networkinstance>/ids/<networkid>`

# Related endpoints

| Action | Endpoint                                                                                                                                                                                                                                                                   |
| ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PUT    | [/authors/networks/{networktype}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeidsnetworkid-1)<br />Update a single author by source network ID on the default instance of the source network                                                                             |
| GET    | [/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstancehandlesnetworkhandle)<br />Return one or more authors by the `networkhandle` passed in for the specified instance of a network.        |
| PUT    | [/authors/networks/{networktype}/instances/{networkinstance}/ids/{networkid}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstanceidsnetworkid-2)<br />Update a single author by network ID on a specific instance of that network                                       |
| GET    | [/authors/networks/{networktype}/handles/{networkhandle}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworks_networktype_handles_networkhandle)<br />Get one or more authors by the `networkhandle` passed in for the specified source channel                                                            |
| GET    | [/authors/networks/{networktype}/instances/{networkinstance}/handles/{networkhandle}](https://developer.khoros.com/khoroscaredevdocs/reference/authorsnetworksnetworktypeinstancesnetworkinstancehandlesnetworkhandle)<br />Returns one or more authors by the networkhandle passed in for the specified instance of a network. |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "author-api-v2",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{instance}.response.lithium.com/api/v2/authors",
      "variables": {
        "instance": {
          "default": "instance"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/networks/{networktype}/ids/{networkid}": {
      "get": {
        "summary": "Get author by source network ID",
        "description": "Get a single author by source network ID where the source network has only a single, default instance, such as Facebook or Instagram",
        "operationId": "authorsnetworksnetworktypeidsnetworkid",
        "parameters": [
          {
            "name": "networktype",
            "in": "path",
            "description": "The type of network that manages content created by or about an author. Supported values are: \"instagram\", \"facebook\", \"googleplus\", \"lithium\", \"crm\"<br><br>For a networktype of value \"lithium\" or \"crm\" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to, Facebook, Instagram or Google+ that have only a single, default network.<br><br>The Author API supports \"instagram\", \"facebook\", \"lithium\", and \"crm\" only as values for networktype.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "networkid",
            "in": "path",
            "description": "The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used networkhandle. The network ID must be unique to a given networkinstance.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "include_deleted_crm",
            "in": "query",
            "description": "When `true`, the response includes authors whose CRM entry has been deleted. Otherwise, the response will not include authors whose CRM entry has been deleted.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"status\": \"success\",\n    \"data\": [\n        {\n            \"id\": \"1af519d7-7638-4f50-9276-a020f845bac1\",\n            \"displayNumber\": 31199,\n            \"handles\": {\n                \"facebook\": [\n                    {\n                        \"@class\": \"FacebookSpecificAuthorData\",\n                        \"lswUuid\": \"30e3fe36-a970-451f-a479-2cc47ad1b9a0\",\n                        \"displayNumber\": 30025,\n                        \"profileUrl\": \"\",\n                        \"name\": \"1219614414830744\",\n                        \"scopedIds\": [\n                            {\n                                \"id\": \"1219614414830744\",\n                                \"instance\": \"1009123765820374\",\n                                \"scope\": \"PAGE\"\n                            }\n                        ],\n                        \"id\": \"227560774117552\",\n                        \"screenName\": \"Violet Estabrook\",\n                        \"providerInstanceId\": \"facebook\",\n                        \"profileImageURL\": \"https://graph.facebook.com/227560774117552/picture\",\n                        \"networkinstance\": \"facebook\",\n                        \"avatarUrl\": \"https://graph.facebook.com/227560774117552/picture\"\n                    }\n                ],\n                \"external\": [\n                    {\n                        \"@class\": \"ExternalSpecificAuthorData\",\n                        \"lswUuid\": \"91c84858-f62a-430e-9d5d-3f9ef876f0a4\",\n                        \"displayNumber\": 100738623,\n                        \"profileUrl\": \"\",\n                        \"id\": \"30e3fe36-a970-451f-a479-2cc47ad1b9a0\",\n                        \"name\": \"1219614414830744\",\n                        \"providerInstanceId\": \"smooch\",\n                        \"profileImageURL\": \"https://graph.facebook.com/227560774117552/picture\",\n                        \"networkinstance\": \"smooch\",\n                        \"avatarUrl\": \"https://graph.facebook.com/227560774117552/picture\"\n                    }\n                ]\n            },\n            \"tags\": [\n                {\n                    \"creator\": {\n                        \"type\": \"AGENT\"\n                    },\n                    \"tagId\": 28724,\n                    \"lswUuid\": \"7b84200c-54fe-4a01-a7db-b1118b83bead\"\n                }\n            ],\n            \"notes\": []\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "1af519d7-7638-4f50-9276-a020f845bac1"
                          },
                          "displayNumber": {
                            "type": "integer",
                            "example": 31199,
                            "default": 0
                          },
                          "handles": {
                            "type": "object",
                            "properties": {
                              "facebook": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "@class": {
                                      "type": "string",
                                      "example": "FacebookSpecificAuthorData"
                                    },
                                    "lswUuid": {
                                      "type": "string",
                                      "example": "30e3fe36-a970-451f-a479-2cc47ad1b9a0"
                                    },
                                    "displayNumber": {
                                      "type": "integer",
                                      "example": 30025,
                                      "default": 0
                                    },
                                    "profileUrl": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "1219614414830744"
                                    },
                                    "scopedIds": {
                                      "type": "array",
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "id": {
                                            "type": "string",
                                            "example": "1219614414830744"
                                          },
                                          "instance": {
                                            "type": "string",
                                            "example": "1009123765820374"
                                          },
                                          "scope": {
                                            "type": "string",
                                            "example": "PAGE"
                                          }
                                        }
                                      }
                                    },
                                    "id": {
                                      "type": "string",
                                      "example": "227560774117552"
                                    },
                                    "screenName": {
                                      "type": "string",
                                      "example": "Violet Estabrook"
                                    },
                                    "providerInstanceId": {
                                      "type": "string",
                                      "example": "facebook"
                                    },
                                    "profileImageURL": {
                                      "type": "string",
                                      "example": "https://graph.facebook.com/227560774117552/picture"
                                    },
                                    "networkinstance": {
                                      "type": "string",
                                      "example": "facebook"
                                    },
                                    "avatarUrl": {
                                      "type": "string",
                                      "example": "https://graph.facebook.com/227560774117552/picture"
                                    }
                                  }
                                }
                              },
                              "external": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "@class": {
                                      "type": "string",
                                      "example": "ExternalSpecificAuthorData"
                                    },
                                    "lswUuid": {
                                      "type": "string",
                                      "example": "91c84858-f62a-430e-9d5d-3f9ef876f0a4"
                                    },
                                    "displayNumber": {
                                      "type": "integer",
                                      "example": 100738623,
                                      "default": 0
                                    },
                                    "profileUrl": {
                                      "type": "string",
                                      "example": ""
                                    },
                                    "id": {
                                      "type": "string",
                                      "example": "30e3fe36-a970-451f-a479-2cc47ad1b9a0"
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "1219614414830744"
                                    },
                                    "providerInstanceId": {
                                      "type": "string",
                                      "example": "smooch"
                                    },
                                    "profileImageURL": {
                                      "type": "string",
                                      "example": "https://graph.facebook.com/227560774117552/picture"
                                    },
                                    "networkinstance": {
                                      "type": "string",
                                      "example": "smooch"
                                    },
                                    "avatarUrl": {
                                      "type": "string",
                                      "example": "https://graph.facebook.com/227560774117552/picture"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "creator": {
                                  "type": "object",
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "example": "AGENT"
                                    }
                                  }
                                },
                                "tagId": {
                                  "type": "integer",
                                  "example": 28724,
                                  "default": 0
                                },
                                "lswUuid": {
                                  "type": "string",
                                  "example": "7b84200c-54fe-4a01-a7db-b1118b83bead"
                                }
                              }
                            }
                          },
                          "notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Unsupported network type": {
                    "value": "{\n  \"status\": \"fail\",\n  \"message\": \"Error parsing HTTP body. Error details: Unsupported author data container format! (through reference chain: Person[\\\"handles\\\"])\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "fail"
                    },
                    "message": {
                      "type": "string",
                      "example": "Error parsing HTTP body. Error details: Unsupported author data container format! (through reference chain: Person[\"handles\"])"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -L -u [USERNAME]:[PASSWORD] 'https://your_social_response_instance.lithium.com/api/v2/authors/networks/facebook/ids/1219614414830744'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```